<!DOCTYPE html>
<!--[if lt IE 7 ]>	<html <?php language_attributes(); ?> class="no-js ie6"> <![endif]-->
<!--[if IE 7 ]>		<html <?php language_attributes(); ?> class="no-js ie7"> <![endif]-->
<!--[if IE 8 ]>		<html <?php language_attributes(); ?> class="no-js ie8"> <![endif]-->
<!--[if IE 9 ]>		<html <?php language_attributes(); ?> class="no-js ie9"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!-->
<html <?php language_attributes(); ?> class="no-js"> <!--<![endif]-->

<head>

<?php if (isset($_SERVER['HTTP_USER_AGENT']) && (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE') !== false)) { echo '<meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible">'; } ?>

<meta charset="<?php bloginfo( 'charset' ); ?>" />

<meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=yes">
<meta name="HandheldFriendly" content="true">

<link rel="profile" href="http://gmpg.org/xfn/11">

<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php wp_head(); ?>

<?php do_action( 'bp_head' ) ?>

<?php $header_code = get_theme_option('header_code'); echo stripcslashes(do_shortcode($header_code)); ?>

</head>

<body <?php body_class(); ?> id="custom">

<?php do_action( 'bp_before_wrapper' ) ?>

<div id="wrapper">

<div id="wrapper-main">

<div id="bodywrap" class="innerwrap">
<div id="bodycontent">

<?php do_action( 'bp_before_header' ) ?>
<!-- HEADER START -->
<header class="iegradient" id="header" role="banner">
<div class="header-inner">

<div id="header-top">
<div id="siteinfo">
<?php
$header_logo = get_theme_option('header_logo');
if( $header_logo )  { ?>
<a href="<?php echo home_url( '/' ); ?>" title="<?php bloginfo('name'); ?>"><img src="<?php echo stripcslashes( $header_logo ); ?>" alt="<?php bloginfo('name'); ?>" /></a>
<?php } else { ?>
<?php if( get_theme_option('custom_header_title') ): ?>
<<?php if( !is_singular()) { echo 'h1'; } else { echo 'div'; } ?> class="custom-title"><a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php echo stripcslashes( get_theme_option('custom_header_title') ); ?></a></<?php if( !is_singular()) { echo 'h1'; } else { echo 'div'; } ?>><p id="site-description"><?php echo stripcslashes( get_theme_option('custom_header_text') ); ?></p>
<?php else: ?>
<<?php if( !is_singular()) { echo 'h1'; } else { echo 'div'; } ?>><a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></<?php if( !is_singular()) { echo 'h1'; } else { echo 'div'; } ?>><p id="site-description"><?php bloginfo( 'description' ); ?></p>
<?php endif; ?>
<?php } ?>
</div><!-- SITEINFO END -->
<div id="header-right">

<?php $header_banner = get_theme_option('header_embed'); if($header_banner) : ?>
<!-- TOPBANNER -->
<div id="topbanner"><?php echo do_shortcode($header_banner); ?></div>
<!-- TOPBANNER END -->
<?php else: ?>
<div class="social-and-search">
<?php if(function_exists('get_my_custom_search_form')) { get_my_custom_search_form(); } ?>
<?php get_template_part( 'lib/templates/social-box' ); ?>
</div>
<?php endif; ?>

</div>

</div>

<div id="header-bottom">
<?php do_action( 'bp_before_nav' ) ?>
<!-- NAVIGATION START -->
<nav class="iegradient" id="main-navigation" role="navigation">
<?php if ( function_exists( 'wp_nav_menu' ) ) {  ?>
<?php wp_nav_menu( array( 'theme_location' => 'primary', 'container' => false, 'menu_class' => 'sf-menu', 'fallback_cb' => 'revert_wp_menu_page','walker' => new Custom_Description_Walker )); ?>
<?php } ?>
<div id="mobile-nav">
<?php get_mobile_navigation( $type='top', $nav_name="primary" ); ?>
</div>
</nav>
<!-- NAVIGATION END -->
<?php do_action( 'bp_after_nav' ) ?>
</div>

</div><!-- end header-inner -->
</header>
<!-- HEADER END -->

<?php do_action( 'bp_after_header' ) ?>

<?php if( get_header_image() ): ?>
<div class="innerwrap-custom-header">
<div id="custom-img-header"><a href="<?php echo home_url( '/' ); ?>" title="<?php bloginfo('name'); ?>"><img src="<?php echo header_image(); ?>" alt="" /></a></div>
</div>
<?php endif; ?>

<?php do_action( 'bp_before_container' ) ?>

<!-- CONTAINER START -->
<section id="container">
<div class="container-wrap">