<?php
/*--------------------------------------------
Description: add fav icon
---------------------------------------------*/
function add_mp_fav_icon() {
if( get_theme_option('fav_icon') ) {
echo '<link rel="icon" href="'. get_theme_option('fav_icon') . '" type="images/x-icon" />';
}
}
add_action('wp_head','add_mp_fav_icon');
add_action('admin_head','add_mp_fav_icon');
add_action('login_head','add_mp_fav_icon');



///////////////////////////////////////////////////////////////////////////////////////
// Custom WP Breadcrumbs
///////////////////////////////////////////////////////////////////////////////////////
function mp_the_breadcrumb() {
 global $post;
 $schema_on = '';
  $schema_link = '';
  $schema_prop_url = '';
  $schema_prop_title = '';

  $showOnHome = 1; // 1 - show breadcrumbs on the homepage, 0 - don't show
  $delimiter = ' &raquo; '; // delimiter between crumbs
  $home = __('Home', TEMPLATE_DOMAIN); // text for the 'Home' link
  $showCurrent = 1; // 1 - show current post/page title in breadcrumbs, 0 - don't show
  $before = '<span class="current">'; // tag before the current crumb
  $after = '</span>'; // tag after the current crumb
  $schema_breadcrumb_on = get_theme_option('schema_breadcrumbs_on');

  if($schema_breadcrumb_on == 'Enable') {
  $schema_link = ' itemscope itemtype="http://data-vocabulary.org/Breadcrumb"';
  $schema_prop_url = ' itemprop="url"';
  $schema_prop_title = ' itemprop="title"';
  }

  $homeLink = home_url();

  if ( is_home() || is_front_page()) {

  if ($showOnHome == 1) {

    echo '<div id="mpbreadcrumbs">';
    echo __('You are here: ', TEMPLATE_DOMAIN);
    echo '<span'. $schema_link . '><a'. $schema_prop_url . ' href="' . $homeLink . '">' . '<span'.$schema_prop_title.'>' . $home . '</span>' . '</a></span>';
    echo '</div>';

      }

  } else {

    echo '<div id="mpbreadcrumbs">';

    if( !is_single() ) { echo __('You are here: ', TEMPLATE_DOMAIN); }

    echo '<span'. $schema_link . '><a'. $schema_prop_url . ' href="' . $homeLink . '">' . '<span'.$schema_prop_title.'>' . $home . '</span>' . '</a></span>' . $delimiter . ' ';


    if ( is_category() ) {


      $thisCat = get_category(get_query_var('cat'), false);

      if ($thisCat->parent != 0) {

      $category_link = get_category_link( $thisCat->parent );

       echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . $category_link . '">' . '<span'.$schema_prop_title.'>' . get_cat_name( $thisCat->parent ) . '</span>' . '</a></span>' . $delimiter . ' ';

     }

      $category_id = get_cat_ID( single_cat_title('', false) );
      $category_link = get_category_link( $category_id );

      echo '<span'. $schema_link . '"><a'.$schema_prop_url.' href="' . $category_link . '">' . '<span'.$schema_prop_title.'>' . single_cat_title('', false) . '</span>' . '</a></span>';


    } elseif ( is_search() ) {

      echo __('Search results for', TEMPLATE_DOMAIN) . ' "' . get_search_query() . '"';

    } elseif ( is_day() ) {

      echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . get_year_link(get_the_time('Y')) . '">' . '<span'.$schema_prop_title.'>' . get_the_time('Y') . '</span>' . '</a></span>' . $delimiter . ' ';

     echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . '<span'.$schema_prop_title.'>' . get_the_time('F') . '</span>' . '</a></span>' . $delimiter . ' ';


    echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . get_day_link(get_the_time('Y'),get_the_time('m'),get_the_time('d')) . '">' . '<span'.$schema_prop_title.'>' . get_the_time('d') . '</span>' . '</a></span>';


    } elseif ( is_month() ) {

      echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . get_year_link(get_the_time('Y')) . '">' . '<span'.$schema_prop_title.'>' . get_the_time('Y') . '</span>' . '</a></span>' . $delimiter . ' ';

      echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . '<span'.$schema_prop_title.'>' . get_the_time('F') . '</span>' . '</a></span>';


    } elseif ( is_year() ) {


      echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . get_year_link(get_the_time('Y')) . '">' . '<span'.$schema_prop_title.'>' . get_the_time('Y') . '</span>' . '</a></span>';


    } elseif ( is_single() && !is_attachment() ) {

      if ( get_post_type() != 'post' ) {
        $post_type = get_post_type_object(get_post_type());
        $slug = $post_type->rewrite;

       echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . $homeLink . '/' . $slug['slug'] . '">' . '<span'.$schema_prop_title.'>' . $post_type->labels->singular_name . '</span>' . '</a></span>';


// get post type by post
$post_type = $post->post_type;
// get post type taxonomies
$taxonomies = get_object_taxonomies( $post_type, 'objects' );
if($taxonomies) {
foreach ( $taxonomies as $taxonomy_slug => $taxonomy ){
// get the terms related to post
$terms = get_the_terms( $post->ID, $taxonomy_slug );
if ( !empty( $terms ) ) {
foreach ( $terms as $term ) {
$taxlist .= ' '. $delimiter . ' ' . '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . get_term_link( $term->slug, $taxonomy_slug ) . '">' . '<span'.$schema_prop_title.'>' . ucfirst($term->name) . '</span>' . '</a></span>';
}
}
}
if($taxlist) { echo $taxlist; }
}
      echo ' '. $delimiter . ' ' . __('You are reading &raquo;', TEMPLATE_DOMAIN);

      } else {

      $category = get_the_category();
      if ($category) {

      foreach ($category as $cat ) {

        echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . get_category_link( $cat->term_id ) . '">' . '<span'.$schema_prop_title.'>' . $cat->name  . '</span>' . '</a></span>' . $delimiter . ' ';

 }
      }

      echo __('You are reading &raquo;', TEMPLATE_DOMAIN);
      }


    } elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {

      $post_type = get_post_type_object(get_post_type());
      echo $before . $post_type->labels->singular_name . $after;

    } elseif ( is_attachment() ) {

      $parent = get_post($post->post_parent);
      $cat = get_the_category($parent->ID); $cat = $cat[0];
      echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');

      echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . get_permalink($parent) . '">' . '<span'.$schema_prop_title.'>' . $parent->post_title  . '</span>' . '</a></span>';

      if ($showCurrent == 1) echo ' ' . $delimiter . ' ' . $before . get_the_title() . $after;

    } elseif ( is_page() && !$post->post_parent ) {

    if( class_exists('buddypress') ) {
    global $bp;

    if( bp_is_groups_component() ){
     echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . home_url() . '/' . bp_get_root_slug( 'groups' ) . '">' . '<span'.$schema_prop_title.'>' . bp_get_root_slug( 'groups' ) . '</span>' . '</a></span>';

    if( !bp_is_directory()) {
     echo $delimiter.'<span'. $schema_link . '><a'.$schema_prop_url.' href="' . home_url() . '/' . bp_get_root_slug( 'groups' ) . '/'.  bp_current_item() . '">' . '<span'.$schema_prop_title.'>' . bp_current_item() . '</span>' . '</a></span>';
if( bp_current_action() ) {
    echo $delimiter.'<span'. $schema_link . '><a'.$schema_prop_url.' href="' . home_url() . '/' . bp_get_root_slug( 'groups' ) . '/'.  bp_current_item() . '/' . bp_current_action() . '">' . '<span'.$schema_prop_title.'>' . bp_current_action() . '</span>' . '</a></span>';
}
             }

} else if( bp_is_members_directory() ){

     echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . home_url() . '/' . bp_get_root_slug( 'members' ) . '">' . '<span'.$schema_prop_title.'>' . bp_get_root_slug( 'members' ) . '</span>' . '</a></span>';


} else if( bp_is_user() ){

     echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . home_url() . '/' . bp_get_root_slug( 'members' ) . '">' . '<span'.$schema_prop_title.'>' . bp_get_root_slug( 'members' ) . '</span>' . '</a></span>';


     echo $delimiter.'<span'. $schema_link . '><a'.$schema_prop_url.' href="' . bp_core_get_user_domain( $bp->displayed_user->id )  . '">' . '<span'.$schema_prop_title.'>' . bp_get_displayed_user_username() . '</span>' . '</a></span>';


  if( bp_current_action() ) {
    echo $delimiter.'<span'. $schema_link . '><a'.$schema_prop_url.' href="' . bp_core_get_user_domain( $bp->displayed_user->id ) . bp_current_component() . '">' . '<span'.$schema_prop_title.'>' . bp_current_component() . '</span>' . '</a></span>';
}


} else {

     if( bp_is_directory()) {
    echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . get_permalink() . '">' . '<span'.$schema_prop_title.'>' . bp_current_component() . '</span>' . '</a></span>';
          } else {
       echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . get_permalink() . '">' . '<span'.$schema_prop_title.'>' . the_title_attribute('echo=0') . '</span>' . '</a></span>';
       }
}


 }  else {

  echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . get_permalink() . '">' . '<span'.$schema_prop_title.'>' . the_title_attribute('echo=0') . '</span>' . '</a></span>';
 }


    } elseif ( is_page() && $post->post_parent ) {

      $parent_id  = $post->post_parent;
      $breadcrumbs = array();

      while ($parent_id) {

      $page = get_page($parent_id);

        $breadcrumbs[] = '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . get_permalink($page->ID) . '">' . '<span'.$schema_prop_title.'>' . get_the_title($page->ID)  . '</span>' . '</a></span>';

        $parent_id  = $page->post_parent;
      }

      $breadcrumbs = array_reverse($breadcrumbs);
      for ($i = 0; $i < count($breadcrumbs); $i++) {
        echo $breadcrumbs[$i];
        if ($i != count($breadcrumbs)-1) echo ' ' . $delimiter . ' ';

      }


      echo $delimiter . '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . get_permalink() . '">' . '<span'.$schema_prop_title.'>' . the_title_attribute('echo=0') . '</span>' . '</a></span>';

    } elseif ( is_tag() ) {

      $tag_id = get_term_by('name', single_cat_title('', false), 'post_tag');
      if($tag_id) { $tag_link = get_tag_link( $tag_id->term_id ); }

      echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . $tag_link . '">' . '<span'.$schema_prop_title.'>' . single_cat_title('', false) . '</span>' . '</a></span>';


    } elseif ( is_author() ) {

       global $author;
      $userdata = get_userdata($author);

     echo '<span'. $schema_link . '><a'.$schema_prop_url.' href="' . get_author_posts_url( $userdata->ID ) . '">' . '<span'.$schema_prop_title.'>' . $userdata->display_name  . '</span>' . '</a></span>';


    } elseif ( is_404() ) {

      echo ' '. $delimiter . ' ' . __('Error 404', TEMPLATE_DOMAIN);

    }

    if ( get_query_var('paged') ) {
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
      echo ' '. $delimiter . ' ' . __('Page', TEMPLATE_DOMAIN) . ' ' . get_query_var('paged');
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
    }

    echo '</div>';

  }
}


// get taxonomies terms links
function custom_taxonomies_terms_links($before='',$after='') {
global $post, $post_id;
// get post by post id
$post = get_post( $post->ID );
// get post type by post
$post_type = $post->post_type;
// get post type taxonomies
$taxonomies = get_object_taxonomies( $post_type, 'objects' );
$out = '';
foreach ( $taxonomies as $taxonomy_slug => $taxonomy ){
// get the terms related to post
$terms = get_the_terms( $post->ID, $taxonomy_slug );

if ( !empty( $terms ) ) {
foreach ( $terms as $term ) {
$taxlist .= '<a href="'.get_term_link( $term->slug, $taxonomy_slug ) .'">'.$term->name."</a>, ";
}
$out .= substr( $taxlist,0,-2 );
}
}
if($out) {
return $before . $out . $after;
}
}



/*--------------------------------------------
Description: add breadcrumbs
---------------------------------------------*/
function add_header_breadcrumbs() {
if( is_archive() || is_search() ) { mp_the_breadcrumb(); }
}
add_action('bp_before_blog_entry','add_header_breadcrumbs');

function add_header_single_breadcrumbs() {
if( is_singular() ) { mp_the_breadcrumb(); }
}
add_action('bp_before_post_title','add_header_single_breadcrumbs');


if( !function_exists('mp_out_custom_excerpt') ) {
function mp_out_custom_excerpt($text,$limit) {
global $post;
$output = strip_tags($text);
$output = strip_shortcodes($output);
$output = preg_replace( '|\[(.+?)\](.+?\[/\\1\])?|s', '', $output );
$output = str_replace( '"', "'", $output);
$output = explode(' ', $output, $limit);
if (count($output)>=$limit) {
array_pop($output);
$output = implode(" ",$output).'...';
} else {
$output = implode(" ",$output);
}
return trim($output);
}
}

if(!function_exists('mp_get_user_role')) {
function mp_get_user_role($id) {
$user = new WP_User( $id );
if ( !empty( $user->roles ) && is_array( $user->roles ) ) {
foreach ( $user->roles as $role )
return ucfirst($role);
} else {
return 'User';
}
}
}


/*--------------------------------------------
Description: add schema for post
---------------------------------------------*/
function mp_add_itemtype_article() {echo ' itemscope="" itemtype="http://schema.org/Article"';}
function mp_add_itemtype_post_title() {echo ' itemprop="name headline"';}
function mp_add_itemtype_post_content() {echo ' itemprop="articleBody"';}


function mp_add_custom_schema($content) {
global $post,$aioseop_options;
if( is_single() ) {
$post_aioseo_title = get_post_meta($post->ID, '_aioseop_title', true);
$author_id = get_the_author_meta('ID');
$author_email = get_the_author_meta('user_email');
$author_displayname = get_the_author_meta('display_name');
$author_nickname = get_the_author_meta('nickname');
$author_firstname = get_the_author_meta('first_name');
$author_lastname = get_the_author_meta('last_name');
$author_url = get_the_author_meta('user_url');
$author_status = get_the_author_meta('user_level');
$author_description = get_the_author_meta('user_description');
$author_role = mp_get_user_role($author_id);
// get post thumbnail
$thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), "thumbnail" );
$large_src = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), "large" );
$favicon = get_theme_option('fav_icon');

// get user google+ profile
$author_googleplus_profile = get_the_author_meta('wp_user_googleplus');
$author_facebook_profile = get_the_author_meta('wp_user_facebook');
$author_twitter_profile = get_the_author_meta('wp_user_twitter');

$schema = '';
?>
<?php
$schema .=  '<!-- start data:schema --><span class="post-schema">';
$schema .= '<meta itemscope itemprop="mainEntityOfPage"  itemType="https://schema.org/WebPage" itemid="' . get_permalink() . '"/><a itemprop="url" href="'. get_permalink() . '" rel="bookmark" title="' . the_title_attribute('echo=0') . ' ">' . get_permalink() . '</a>';

if($post_aioseo_title):
$schema .= '<span itemprop="alternativeHeadline">' . $post_aioseo_title . '</span>';
endif;

if($large_src):
$schema .= '<span itemprop="image" itemscope itemtype="https://schema.org/ImageObject">' . $large_src[0] . '<meta itemprop="url" content="' . $large_src[0] . '"><meta itemprop="width" content="' . $large_src[1] . '"><meta itemprop="height" content="' . $large_src[2] . '"></span>';
endif;
if($thumbnail_src):
$schema .= '<span itemprop="thumbnailUrl">' . $thumbnail_src[0] . '</span>';
endif;
$getmodtime = get_the_modified_time();
if( $getmodtime > get_the_time() ) {
$modtime = get_the_modified_time('c');
} else {
$modtime = get_the_time('c');
}
$schema .= '<time datetime="'.get_the_time('Y-m-d') . '" itemprop="datePublished"><span class="date updated">'. $modtime . '</span></time><meta itemprop="dateModified" content="'. $modtime . '"/><span class="vcard author"><span class="fn">'.get_the_author().'</span></span>';
$categories = get_the_category();
$separator = ', ';
$output = '';
if($categories){
foreach($categories as $category) {
$schema .= '<span itemprop="articleSection">' . $category->cat_name . '</span>';
}
}
$posttags = get_the_tags();
$post_tags_list = '';
if ($posttags) {
$schema .= '<span itemprop="keywords">';
foreach($posttags as $tag) {
$post_tags_list .= $tag->name . ',';
}
$schema .= substr( $post_tags_list,0,-1 );
$schema .= '</span>';
}
$schema .= '<div itemprop="description">'. mp_out_custom_excerpt(get_the_content(),50) .'</div>';
$schema .= '<span itemprop="author" itemscope="" itemtype="http://schema.org/Person">';

$schema .= '<span itemprop="name">'.$author_displayname.'</span><a href="'. $author_googleplus_profile. '?rel=author" itemprop="url">'. $author_googleplus_profile . '</a>';

$schema .= '<span itemprop="givenName">'.$author_firstname.'</span>
<span itemprop="familyName">'.$author_lastname.'</span><span itemprop="email">'.$author_email . '</span><span itemprop="jobTitle">'. $author_role . '</span>';
if($author_description):
$schema .= '<span itemprop="knows">'.stripcslashes($author_description).'</span>';
endif;
$schema .= '<span itemprop="brand">'. get_bloginfo('name').'</span>';
$schema .= '</span>';

$schema .= '<span itemprop="publisher" itemscope itemtype="https://schema.org/Organization"><span itemprop="logo" itemscope itemtype="https://schema.org/ImageObject"><img src="' . $favicon . '"/><meta itemprop="url" content="'.$favicon.'"><meta itemprop="width" content="60"><meta itemprop="height" content="60"></span><meta itemprop="name" content="'. get_bloginfo('name') . '"></span>';

$schema .= '</span><!-- end data:schema -->';
return $content . $schema;
} else {
return $content;
}
}


function mp_init_schema_features() {
/* check if schema is on */
$schema_on = '';
$schema_on = get_theme_option('schema_post_on');
/* if another plugin schema is active */
if( function_exists('sj_add_google_author_schema') && get_option('sj_gplus_schema') == 'Enable' ) {
} else {
if( $schema_on == 'Enable' ) {
add_filter('the_content', 'mp_add_custom_schema');
add_action('bp_article_start','mp_add_itemtype_article');
add_action('bp_article_post_title','mp_add_itemtype_post_title');
add_action('bp_article_post_content','mp_add_itemtype_post_content');
}
}
}
add_action('wp_head','mp_init_schema_features');


?>